Aggiornare pepperflashplugin-nonfree 32 bit

Audio, Video, Grafica...

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 20/05/2016, 8:10

A questo punto, ritorno a Flash "canonico", nell'attesa che Google lo mandi in pensione definitivamente.
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 677
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda jimmy-red » 13/06/2016, 12:48

Selky ha scritto:Terminata la possibilità di avere il plugin per architetture a 32 bit.
L'ultima presente nel repository Slackware è la 21.0.0.213-i386, non sicura, e non sarà più aggiornata.
Ultimo aggiornamento di Flash è la v. 21.0.0.242.


Ciao a tutti, vedo solo ora questo tread e lo scorso week-end ho perso 2 giorni per trovare una soluzione soddisfacente perchè anch'io ho avuto la necessità di aggiornare Pepperflashplugin 32bit: ora non posso, quando sarò a casa sulla mia postazione invio il work-around ghe ho trovato.
jimmy-red
Full Member
Full Member
 
Messaggi: 192
Iscritto il: 20/01/2013, 22:32

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda jimmy-red » 13/06/2016, 21:19

La mia situazione è la seguente: Laptop con Intel Centrino ovviamente 32 bit; fino a Marzo ho usato Chrome come browser e poi a causa del cessato supporto della versione a 32 bit da parte di Google sono passato inizialmente a Chromium che rimane installato e aggiornato ora a 51.0; successivamente ho installato Opera-developer per utilizzare la funzionalità VPN di tale browser; il plugin di Flash player di Opera utilizza lo stesso di Chromium e fino a ieri era fermo alla release 20.0.0.306 e su certi siti mi richiedeva di aggiornare il plugin (banalmente non potevo fare uno speed-test perchè Flash non era aggiornato).
Seguendo varie guide di scarica il pacchetto deb di Chrome e poi si estrae la libreria
Codice: Seleziona tutto
libpepflashplayer.so
che va poi copiata nella corretta directory d'uso: purtroppo non funziona credo a causa del pacchetto deb per 64 bit mentre il mio sistema è 32 bit.
[continua]
Ultima modifica di jimmy-red il 13/06/2016, 22:01, modificato 1 volta in totale.
jimmy-red
Full Member
Full Member
 
Messaggi: 192
Iscritto il: 20/01/2013, 22:32

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda jimmy-red » 13/06/2016, 22:01

Dopo varie ricerche e prove senza successo ho trovato nei repositori di Ubuntu un pacchetto DEB di Pepper Flash player denominato
Codice: Seleziona tutto
adobe-flashplugin
contenuto nel sito web https://launchpad.net/ubuntu/+source/adobe-flashplugin.
Si sceglie una delle ultime release di Ubuntu e poi da li sono presenti le diverse varianti sia a 64 bt che a 32 bit: si scarica il pacchetto DEB a 32 bit e poi seguire i seguenti passaggi:
-Andare nella cartella dove si è scaricato il pacchetto DEB e poi con tasto dx del mouse scegliere
Codice: Seleziona tutto
estrai qui

-Verrà estratto un nuovo archivio compresso denominato
Codice: Seleziona tutto
data.tar.xz
posizionare il cursore e poi sempre tasto dx scegliere
Codice: Seleziona tutto
estrai qui
.
-verranno estratte varie cartelle, spostarsi in
Codice: Seleziona tutto
cd usr/lib/adobe-flash-pugin
dove saranno presenti due librerie e che a noi interessa la
Codice: Seleziona tutto
libpepflashplayer.so
.
-al fine di ripristinare il precedente plugin di Flash nel caso qualcosa vada storto, da root eseguire
Codice: Seleziona tutto
# cd /usr/lib/pepperflashplugin-nonfree
e poi rinominare i due file presenti:
Codice: Seleziona tutto
# mv manifest.json manifest.old

Codice: Seleziona tutto
# mv libpepflashplayer.so libpepflashplayer.old

-ora dalla cartella
Codice: Seleziona tutto
usr/lib/adobe-flash-pugin
si esegue da root la copia della nuova libreria nella corretta posizione con
Codice: Seleziona tutto
cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/

La sola cosa non completamente corretta è che quando si carica Chromium nella pagina
Codice: Seleziona tutto
about://plugins
viene riportata la corretta versione installata che è
Codice: Seleziona tutto
21.0.0.242
; mentre da Opera sempre nella stessa pagina
Codice: Seleziona tutto
about://plugins
viene riportato un
Codice: Seleziona tutto
Versione: 99.999.999.999
.
Queste informazioni sono presenti nel file
Codice: Seleziona tutto
manifest.json
che purtoppo non è presente nel pacchetto
Codice: Seleziona tutto
adobe-flashplugin
.
Ora con il plugin aggiornato non ho più segnalazione d'errore e Flash funziona regolarmente.
jimmy-red
Full Member
Full Member
 
Messaggi: 192
Iscritto il: 20/01/2013, 22:32

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 13/06/2016, 22:58

Ti ringrazio, appena possibile testo pure io e nel caso aggiorniamo la pagina wiki :)

Edit:
provato.
Ho scaricato il tar sperando di trovare qualcosa in più. È andata bene, contiene anche il file manifest.json.
Ogni browser comunque senza questo file riporta una versione differente come hai sottolineato. Su Icewease risultava la 13 e qualcosa, ora non ricordo.
Direi di aspettare il prossimo aggiornamento per vedere se lo includono ancora e per aver conferma sulla costanza della pacchettizzazione.

Di mio ho solo copiato i due file che mi interessano in "/usr/lib/pepperflashplugin-nonfree" dopo aver estratto il tar nella cartella Scaricati del mio utente.

Comunque non comprendo come mai se il pacchetto esiste anche per il 32 bit, sul forum di Ubuntu (magari ricordo male) come qua, siamo tutti convinti che non esista. Mah!
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 14/06/2016, 12:51

Ciao, io non ho capito alla fine se questa libreria viene ancora compilata o no... Mi pare una cosa da sito Warez più che da sistema operativo GNU ;)
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 677
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 15/06/2016, 13:35

Si davvero, è una barzelletta.
Vediamo cosa succederà nei prossimi giorni quando rilasceranno l'aggiornamento dell'ennesima falla di flash datata 14 giugno 2016.
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 17/06/2016, 8:06

Guarda, per non sapere né leggere e né scrivere ho levato di mezzo PepperFlash e ho installato Adobe Flash "normale". Alla tra quelli che frequento rimangono pochi siti che ancora usano Flash - adesso che lo streaming video me lo guardo con Kodi... ;)
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 677
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 17/06/2016, 11:15

Come già riportato, lo uso solo per i test e per tenere aggiornata la pagina wiki.

Ho scaricato il tar da Ubuntu aggiornato poche ore fa, proceduto come solito.
- Iceweasel/Firefox. dopo aver cancellato il file "pluginreg.dat" dal profilo, con freshplayer rileva la v. "22.0.0.192"
- Chromium: rileva la v. "22.0.0.192"
- Opera stable: rileva la v. "22.0.0.192"
Cioè l'ultima versione.

Non ho idea del perchè di ciò. La libreria a monte esiste o comunque qualcuno la pacchettizza, oppure è tarrocato (cosa che dubito, non credo si arrivi a tanto).
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 13/07/2016, 11:22

Confermato l'aggiornamento del pacchetto, disponibile qua: https://launchpad.net/ubuntu/+source/adobe-flashplugin
Selezionare un proposed (partner) aggiornato, scaricare il tar.gz perchè più completo. Esempio "The Xenial Xerus (current stable release) " > adobe-flashplugin_20160712.1.orig.tar.gz

Una volta estratto, si otterranno due cartelle: quella che interessa in questo caso è la i386

Installazione Manuale
Il pacchetto pepperflashplugin non è più disponibile nei repository ufficiali Debian per i sistemi a 32 bit e scaricarlo da snapshot.debian.org non ha senso perchè tanto risulta inutile.
Per chi non ha installato il pacchetto pepperflash in passato e non ha il riferimento, procedere in questo modo:

1) in /usr/lib creare la directory pepperflashplugin-nonfree/
Codice: Seleziona tutto
# mkdir /usr/lib/pepperflashplugin-nonfree/


2) All'interno di questa inserire i due file:
- manifest.json (necessario per comunicare ai browser la versione del plugin)
- libpepflashplayer.so
presenti nel pacchetto scaricato da ubuntu nella dir /i386/
Esempio:
Codice: Seleziona tutto
# cp Scaricati/adobe-flashplugin_20160712.1.orig/adobe-flashplugin-20160712.1/i386/manifest.json /usr/lib/pepperflashplugin-nonfree/manifest.json


3) Perchè funzioni con Chromium è necessario creare il file "pepperflashplugin-nonfree" in /etc/chromium.d/
nel mio caso con Xfce utilizzo come editor mousepad.
Codice: Seleziona tutto
# mousepad /etc/chromium.d/pepperflashplugin-nonfree
con il seguente contenuto:
Codice: Seleziona tutto
flashso="/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so"
flashversion=`strings $flashso 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"`
CHROMIUM_FLAGS="$CHROMIUM_FLAGS --ppapi-flash-path=$flashso --ppapi-flash-version=$flashversion"


4) Per Firefox è necessario il pacchetto browser-plugin-freshplayer-pepperflash
Tenere a mente che ad ogni aggiornamento manuale di pepperflash sarà necessario cancellare dal proprio profilo Firefox il file pluginreg.dat (memorizza il numero di versione dei plugin) , si ricreerà automaticamente all'avvio del browser.

Versione attuale del plugin pepperflash: "22.0.0.209" cioè l'ultima.
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda jimmy-red » 13/07/2016, 12:39

Grazie Selky dell'avviso: fine settimana procederò all'aggiornamento così risolvo anche la questione del "manifest.json" per mostrare l'esatto numero di release.
jimmy-red
Full Member
Full Member
 
Messaggi: 192
Iscritto il: 20/01/2013, 22:32

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 13/07/2016, 16:16

È grazie a te che si prosegue ;)
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 30/07/2016, 16:28

@jimmy-red @underpass volete ridere?

Mentre bighelonavo sempre nel famoso sito di slackware da dove prelevavamo precedentemente il plugin per flash, ho casualmente letto che tutto sto casino che facciamo non è più necessario.

Dal sito di adobe è possibile scaricare pepperflash, https://get.adobe.com/flashplayer/otherversions/
basta selezionare linux 32 bit poi la versione che si vuole, quella di pepperflash ovviamente è= PPAPI.

Chissà quanto durerà!
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Underpass » 30/07/2016, 18:10

Grazie Selky! Ma dove le hai trovate le istruzioni per Chromium? :D
Materia: contrasta i tentativi di mutazione operati dal Tempo, resiste agli attacchi dell'Energia, costringe il Pensiero a divenire pratico.
Avatar utente
Underpass
Hero Member
Hero Member
 
Messaggi: 677
Iscritto il: 09/08/2006, 2:09

Re: Aggiornare pepperflashplugin-nonfree 32 bit

Messaggioda Selky » 30/07/2016, 19:35

Visto che professional che sono?! 8-)
Copiato pari pari dal file contenuto nel pacchetto deb di pepperflash :D

Non sembra ma le studio le situazioni ;)
Selky
wiki member
wiki member
 
Messaggi: 1244
Iscritto il: 30/12/2011, 1:00

PrecedenteProssimo

Torna a Multimedia

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti